| Flutter macOS Embedder |

Public Attributes | List of all members
FlutterWindowCreationRequest Struct Reference

`#include <FlutterWindowController.h>`

## Public Attributes
bool | has_size
struct FlutterWindowSize | size
bool | has_constraints
struct FlutterWindowConstraints | constraints
int64_t | parent_view_id
void(* | on_should_close )()
void(* | on_will_close )()
void(* | notify_listeners )()
FlutterWindowRect *(* | on_get_window_position )(const FlutterWindowSize &child_size, const FlutterWindowRect &parent_rect, const FlutterWindowRect &output_rect)

## Detailed Description

Definition at line 60 of file FlutterWindowController.h.

## Member Data Documentation

## ◆ constraints

struct FlutterWindowConstraints FlutterWindowCreationRequest::constraints

Definition at line 63 of file FlutterWindowController.h.

## ◆ has_constraints

bool FlutterWindowCreationRequest::has_constraints

Definition at line 63 of file FlutterWindowController.h.

Referenced by flutter::testing::TEST_F().

## ◆ has_size

bool FlutterWindowCreationRequest::has_size

Definition at line 61 of file FlutterWindowController.h.

Referenced by flutter::testing::TEST_F().

## ◆ notify_listeners

void(* FlutterWindowCreationRequest::notify_listeners) ()

Definition at line 68 of file FlutterWindowController.h.

## ◆ on_get_window_position

FlutterWindowRect*(* FlutterWindowCreationRequest::on_get_window_position) (const FlutterWindowSize &child_size, const FlutterWindowRect &parent_rect, const FlutterWindowRect &output_rect)

Definition at line 71 of file FlutterWindowController.h.

## ◆ on_should_close

void(* FlutterWindowCreationRequest::on_should_close) ()

Definition at line 66 of file FlutterWindowController.h.

## ◆ on_will_close

void(* FlutterWindowCreationRequest::on_will_close) ()

Definition at line 67 of file FlutterWindowController.h.

## ◆ parent_view_id

int64_t FlutterWindowCreationRequest::parent_view_id

Definition at line 65 of file FlutterWindowController.h.

## ◆ size

struct FlutterWindowSize FlutterWindowCreationRequest::size

Definition at line 61 of file FlutterWindowController.h.

The documentation for this struct was generated from the following file:

- shell/platform/darwin/macos/framework/Source/FlutterWindowController.h